For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • GETDetail
LogoLogo
BlogLogin
API Referenceinteractions

Detail

GET
https://api.flockx.io/api/v1/interactions/:interaction_id
GET
/api/v1/interactions/:interaction_id
$curl https://api.flockx.io/api/v1/interactions/interaction_id \
> -H "Authorization: <apiKey>"
1{
2 "id": "foo",
3 "created_at": "foo",
4 "channel_id": "foo",
5 "participant": {
6 "type": "foo",
7 "user_id": "foo"
8 },
9 "content": [
10 {
11 "type": "foo",
12 "text": "foo"
13 }
14 ],
15 "content_role": "user_message",
16 "complete": true,
17 "metadata": {},
18 "nested_interactions": [
19 {
20 "id": "foo",
21 "created_at": "foo",
22 "channel_id": "foo",
23 "participant": {
24 "type": "foo",
25 "user_id": "foo"
26 },
27 "content": [
28 {
29 "type": "foo",
30 "text": "foo"
31 }
32 ],
33 "content_role": "user_message",
34 "complete": true,
35 "metadata": {},
36 "nested_interactions": [
37 null
38 ],
39 "interaction_id": "foo",
40 "span_id": "foo",
41 "parent_span_id": "foo",
42 "organization_id": "foo",
43 "organization_application": "foo",
44 "reactions": [
45 {
46 "interaction_id": "foo",
47 "emoji": "foo",
48 "count": 42,
49 "reacted_by_me": true
50 }
51 ],
52 "agent_read_receipts": [
53 {
54 "id": "foo",
55 "message_event_id": "foo",
56 "interaction_id": "foo",
57 "agent_id": "foo",
58 "read_at": "foo"
59 }
60 ]
61 }
62 ],
63 "interaction_id": "foo",
64 "span_id": "foo",
65 "parent_span_id": "foo",
66 "organization_id": "foo",
67 "organization_application": "foo",
68 "reactions": [
69 {
70 "interaction_id": "foo",
71 "emoji": "foo",
72 "count": 42,
73 "reacted_by_me": true
74 }
75 ],
76 "agent_read_receipts": [
77 {
78 "id": "foo",
79 "message_event_id": "foo",
80 "interaction_id": "foo",
81 "agent_id": "foo",
82 "read_at": "foo"
83 }
84 ]
85}
Was this page helpful?
Previous

List

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

interaction_idstringRequired

Response

Successful Response
idstringformat: "uuid"
The ID of the interaction.
created_atstringformat: "date-time"
The date and time the interaction was created.
channel_idstringformat: "uuid"
The ID of the channel.
participantobject
The participant that sent this interaction.
contentlist of objects
The content of the interaction.
content_roleenum
Whether the content is from a user message, intermediate agent reasoning, or final agent response.
completeboolean

Whether the interaction is complete. Incomplete interactions are only included when include_incomplete query parameter is True.

metadatamap from strings to any or null
Metadata for the interaction.
nested_interactionslist of objects or null

Nested interactions for this interaction. This will only be present when include_nested_interactions is True.

interaction_idstring or nullformat: "uuid"
Groups all events from a single user turn. Use this to group related messages.
span_idstring or nullformat: "uuid"
Unique identifier for this specific event in the interaction tree.
parent_span_idstring or nullformat: "uuid"

The span_id of the parent event, for hierarchical grouping.

organization_idstring or nullformat: "uuid"
The ID of the organization that owns the channel this interaction belongs to. Used for business intelligence filtering in Kibana.
organization_applicationstring or null

The application that created the organization (e.g., ‘flockx’, ‘asi_one’, ‘fetch_business’). Used for filtering interactions by product in Kibana.

reactionslist of objects or null
Emoji reaction summaries for this interaction.
agent_read_receiptslist of objects or null
Agent read receipts attached to the originating user message.

Errors

422
Unprocessable Entity Error